LINUX.ORG.RU
решено ФорумAdmin

Помогите продолжить dist-upgrade

 , ,


1

1

Пару недель назад, в процессе dist-upgrade, на debian/testing вылезло такое:

Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install».
Пакеты, имеющие неудовлетворённые зависимости:
 libpam-systemd : Зависит: systemd (= 215-7)
E: Неудовлетворённые зависимости. Попытайтесь использовать -f.

dist-upgrade -f ничем не помогает, всё тоже самое

apt-get install -f выплевывает такую портянку:

Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
  libpam-systemd
Пакеты, которые будут обновлены:
  libpam-systemd
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 240 пакетов не обновлено.
не установлено до конца или удалено 11 пакетов.
Необходимо скачать 0 B/120 kB архивов.
После данной операции, объём занятого дискового пространства уменьшится на 4 096 B.
Хотите продолжить? [Д/н] 
Чтение журнала изменений... Выполнено                 
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров dbus:
 dbus зависит от libdbus-1-3 (>= 1.7.6), однако:
  Пакет libdbus-1-3:amd64 пока не настроен.

dpkg: ошибка при обработке пакета dbus (--configure):
 проблемы зависимостей — оставляем триггеры не обработанными
dpkg: слишком много ошибок — останавливаемся
При обработке следующих пакетов произошли ошибки:
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
 dbus
Обработка остановлена из-за слишком большого количества ошибок.
E: Sub-process /usr/bin/dpkg returned an error code (1)

Я в этом не силен, хотел просто выждать пока в репозитории поправят и тогда продолжить. Но за две недели ничего не изменилось, подозреваю само оно не «рассосется».

Что ж делать? Тёплые чувства к systemd увеличились, это понятно, но не решает проблему.

Теперь я ничего не поставить не могу, ну удалить, всё заблокировано.

Выручайте


dpkg --configure -a

Попробуй переустановить dbus и libdbus.

Gotf ★★★ ()

У меня конечно все отлично. Но почему-то меня очень не удивляет, что появляется новый тред, где systemd и dbus все ломает.

anonymous_sama ★★★★★ ()
Последнее исправление: anonymous_sama (всего исправлений: 1)
Ответ на: комментарий от Gotf

Спасибо огромнейшее!

Я про такое не знал/забыл.

После --configure -a и перестановки, и install -f

вроде б раскачалось.

APM ()
Ответ на: комментарий от anonymous_sama

Мне в своё время при переезде дебиана со стайбла на тестинг час гугления не помог решить проблемы. К счастью, снос подсероподелия вернул спокойствие.

FedyaPryanichkov ()
Ответ на: комментарий от anonymous_sama

Но почему-то меня очень не удивляет, что появляется новый тред, где systemd и dbus все ломает.

А часовню тоже systemd разрушил? Где здесь systemd и dbus что-то ломают?

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

это он так решил подтвердит интеллектуальный уровень system-фобов

anonymous ()
Ответ на: комментарий от anonymous_sama

Но почему-то меня очень не удивляет, что появляется новый тред, где systemd и dbus все ломает.

без проблем обновил debian stable до testing.

snaf ★★★★★ ()
Ответ на: комментарий от redgremlin

dbus зависит от libdbus-1-3 (>= 1.7.6), однако: Пакет libdbus-1-3:amd64 пока не настроен.

Пакеты, имеющие неудовлетворённые зависимости: libpam-systemd : Зависит: systemd (= 215-7)

anonymous_sama ★★★★★ ()
Ответ на: комментарий от anonymous_sama

Ты уверен, что понял хоть что-то из ОП?

Gotf ★★★ ()
Ответ на: комментарий от Gotf

Ты только взгляни на названия пакетов, нет это не случайность!

anonymous_sama ★★★★★ ()
Ответ на: комментарий от anonymous_sama

Такая фигня может случиться с любым пакетом по самым разным причинам.

Gotf ★★★ ()
Ответ на: комментарий от anonymous_sama

Пакет libdbus-1-3:amd64 пока не настроен.

И что, systemd на пару с dbus уже пакеты настраивают? Они ещё даже поставиться не успели.

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

anonymous_sama ★★★★ (25.01.2015 15:19:24) sd-hater

«My advice is to give up.»

intelfx ★★★★★ ()
Ответ на: комментарий от intelfx

Однако я не хейтер systemd, скорей dbus. Хотя и понимаю, предназначение последнего.

anonymous_sama ★★★★★ ()
Ответ на: комментарий от anonymous_sama

Программист? Пишешь десктопные приложения под линукс? Сколько платят?

redgremlin ★★★★★ ()
Ответ на: комментарий от redgremlin

Нет, увы. /offtopic
Просто я уже говорил из-за dbus пришлось, добавлять его во все правила apparmor. Вот такая вот противная штука. Не люблю лишние сущности. Хотя если бы писал приложения, то тоже бы скорей всего интегрировал с dbus.

anonymous_sama ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.